<?php
/**
 * Registering meta boxes
 *
 * In this file, I'll show you how to extend the class to add more field type (in this case, the 'taxonomy' type)
 * All the definitions of meta boxes are listed below with comments, please read them carefully.
 * Note that each validation method of the Validation Class MUST return value instead of boolean as before
 *
 * You also should read the changelog to know what has been changed
 *
 * For more information, please visit: http://www.deluxeblogtips.com/2010/04/how-to-create-meta-box-wordpress-post.html
 *
 */

/********************* BEGIN DEFINITION OF META BOXES ***********************/

// prefix of meta keys, optional
// use underscore (_) at the beginning to make keys hidden, for example $prefix = '_rw_';
// you also can make prefix empty to disable it
$prefix = 'gopress_';

$gopress_meta_boxes = array();

// meta box ===> Slides
$gopress_meta_boxes[] = array(
	'id' => 'slides_meta',
	'title' => __('Настройки слайда','gopress'),
	'pages' => array('slides'),

	'fields' => array(
			array(
            'name' => __('Описание слайда','gopress'),
            'desc' => __('Введите описание вашего слайда. Не обязательно. Используйте тег h2 для создания красивого заголовка.','gopress'),
            'id' => $prefix . 'slides_description',
            'type' => 'textarea',
            'std' => ''
        ),
		array(
            'name' => __('Ссылка слайда','gopress'),
            'desc' => __('Введите ссылку, которая будет вести со слайда на другую страницу. Не обязательно.','gopress'),
            'id' => $prefix . 'slides_url',
            'type' => 'text',
            'std' => ''
        )
	)
);




// DO NOT DELETE BELOW
foreach ($gopress_meta_boxes as $meta_box) {
	new gopress_meta_box($meta_box);
}
?>